Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The Camera Data object

This object gives access to Camera-specific data in Blender.

Warning: Most member variables assume values in some [Min, Max] interval. When trying to set them, the given parameter will be clamped to lie in that range: if val < Min, then val = Min, if val > Max, then val = Max.

Method Summary |
float | `getClipEnd()` Get the clip end value.
float | `getClipStart()` Get the clip start value.
float | `getDrawSize()` Get the draw size value.
float | `getLens()` Get the lens value.
int | `getMode()` Get this Camera's mode flags.
string | `getName()` Get the name of this Camera Data object.
int | `getType()` Get this Camera's type.
| `setClipEnd(clipend)` Set the clip end value.
| `setClipStart(clipstart)` Set the clip start value.
| `setDrawSize(drawsize)` Set the draw size value.
| `setLens(lens)` Set the lens value.
| `setMode(mode1, mode2)` Set this Camera's mode flags.
| `setName(name)` Set the name of this Camera Data object.
| `setType(type)` Set this Camera's type.

Class Variable Summary |
| `clipEnd` - The clip end value in [1.0, 5000.0].
| `clipStart` - The clip start value in [0.0, 100.0].
| `drawSize` - The draw size value in [0.1, 10.0].
| `lens` - The lens value in [1.0, 250.0].
| `mode` - The mode flags: or'ed value: 'showLimits':1, 'showMist':2.
| `name` - The Camera Data name.
| `type` - The Camera type: 'persp':0 or 'ortho':1.

Method Details |

getClipEnd()

Get the clip end value.

  Returns:

    float

getClipStart()

Get the clip start value.

  Returns:

    float

getDrawSize()

Get the draw size value.

  Returns:

    float

getLens()

Get the lens value.

  Returns:

    float

getMode()

Get this Camera's mode flags.

  Returns:

    OR'ed value: 'showLimits' is 1, 'showMist' is 2, or resp. 01 and 10 in binary.

    (type=int)

getName()

Get the name of this Camera Data object.

  Returns:

    string

getType()

Get this Camera's type.

  Returns:

    0 for 'persp' or 1 for 'ortho'.

    (type=int)

setClipEnd(clipend)

Set the clip end value.

  Parameters:

    `clipend` - The new clip end value.

    (type=float)

setClipStart(clipstart)

Set the clip start value.

  Parameters:

    `clipstart` - The new lens value.

    (type=float)

setDrawSize(drawsize)

Set the draw size value.

  Parameters:

    `drawsize` - The new draw size value.

    (type=float)

setLens(lens)

Set the lens value.

  Parameters:

    `lens` - The new lens value.

    (type=float)

setMode(mode1=None, mode2=None)

Set this Camera's mode flags. Mode strings given are turned 'on'. Those not provided are turned 'off', so cam.setMode() -- without arguments -- turns off all mode flags for Camera cam.

  Parameters:

    `mode1` - A mode flag: 'showLimits' or 'showMist'.

    (type=string)

    `mode2` - A mode flag: 'showLimits' or 'showMist'.

    (type=string)

setName(name)

Set the name of this Camera Data object.

  Parameters:

    `name` - The new name.

    (type=string)

setType(type)

Set this Camera's type.

  Parameters:

    `type` - The Camera type: 'persp' or 'ortho'.

    (type=string)

Class Variable Details |

clipEnd The clip end value in [1.0, 5000.0].

clipStart The clip start value in [0.0, 100.0].

drawSize The draw size value in [0.1, 10.0].

lens The lens value in [1.0, 250.0].

mode The mode flags: or'ed value: 'showLimits':1, 'showMist':2.

name The Camera Data name.

type The Camera type: 'persp':0 or 'ortho':1.

<<< Previous | Home | Next >>>
Class Camera | Up | Module Lamp